View Issue Details

IDProjectCategoryView StatusLast Update
14431Bug reports[All Projects] Survey designpublic2019-04-30 09:11
ReporterDemetra Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14431: Error 500 when deleting a question
Description

This db error occurs when deleting a question:

2019-01-16 11:05:23.088 UTC [25716] lime@lime3 STATEMENT: SELECT COUNT(*) FROM "lime_questions" "t" LEFT OUTER JOIN "lime_groups" "groups" ON ("t"."gid"="groups"."gid") AND ("t"."language"="groups"."language") WHERE ((((t.sid='261918') AND (t.language='it')) AND (t.parent_qid='0')) AND (groups.gid LIKE '%15%'))
2019-01-16 11:05:23.510 UTC [25716] lime@lime3 ERROR: operator does not exist: integer ~~ unknown at character 243
2019-01-16 11:05:23.510 UTC [25716] lime@lime3 HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versione 3.15.5+181115
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome 69.0.3497.100 (64 bit)
Database & DB-Versionpostgresql-10 (10.6-0ubuntu0.18.04.1)
Server OS (if known)
Webserver software & version (if known)
PHP Versionphp7.2

Relationships

has duplicate 14469 closedDenisChenu Deleting a question crash with PostgreSQL under certain cicumstance 

Activities

DenisChenu

DenisChenu

2019-01-16 15:28

developer   ~50226

groups.gid LIKE '%15%' ?????

renatocron

renatocron

2019-01-21 18:54

reporter   ~50287

This also happens when filtering by group when using POSTGRES.

How to reproduce:
Open any survey
Survey menu > List questions
Filter for any group

  • Boom *

I think the easy way to fix it is change filter group to "eq" operator, or cast gid to text when using postgres driver.

DenisChenu

DenisChenu

2019-01-22 09:42

developer   ~50288

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28778

Related Changesets

LimeSurvey: master 64abf721

2019-01-22 09:42:16

DenisChenu

Details Diff
Fixed issue 14431: error 500 in question list with postgresql
Dev: is (qid and gid) search must be always exact
Affected Issues
14431
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2019-01-16 12:14 Demetra New Issue
2019-01-16 15:28 DenisChenu Note Added: 50226
2019-01-21 18:54 renatocron Note Added: 50287
2019-01-22 09:39 DenisChenu Assigned To => DenisChenu
2019-01-22 09:39 DenisChenu Status new => assigned
2019-01-22 09:42 DenisChenu Changeset attached => LimeSurvey master 64abf721
2019-01-22 09:42 DenisChenu Note Added: 50288
2019-01-22 09:42 DenisChenu Resolution open => fixed
2019-01-22 09:44 DenisChenu Status assigned => resolved
2019-01-22 09:44 DenisChenu Fixed in Version => 3.15.x
2019-01-31 01:15 DenisChenu Relationship added has duplicate 14469
2019-04-30 09:11 c_schmitz Status resolved => closed